// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPayProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPayProductPlugin", targets: ["WebIdPayProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-bank-ident-plugin-spm",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-digital-signing-plugin-spm",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ident-scan-plugin-spm",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-on-device-document-scanner-spm",
            .branch("snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPayProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdPayProductPlugin/13.4.1/WebIdPayProductPlugin.framework-v13.4.1-SNAPSHOT-1273.zip",
            checksum: "f8785657f99474f9aa931e70acf04b771c2ab77298926d93af0ab51268d1663d"
        ),
        .target(
            name: "WebIdPayProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdPayProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdIosBankIdentPlugin", package: "WebIdIosBankIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnDeviceDocumentScanner", package: "WebIdOnDeviceDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
